/*
    knetd, KDE Network Daemon

    Copyright (c) 2005 by Engin AYDOGAN		<engin @ bzzzt.biz>

    *************************************************************************
    *                                                                       *
    * This program is free software; you can redistribute it and/or modify  *
    * it under the terms of the GNU General Public License as published by  *
    * the Free Software Foundation; either version 2 of the License, or     *
    * (at your option) any later version.                                   *
    *                                                                       *
    *************************************************************************
*/

#ifndef KNETD_KCM_CONFIG_H_
#define KNETD_KCM_CONFIG_H_

#include <kcmodule.h>

class Config : public KCModule
{
Q_OBJECT
public:
	Config( QWidget* p = 0,
		const char* name = 0,
		const QStringList& = QStringList() );
	virtual ~Config();

	class Private;

	void load();
	void save();
	void defaults();
protected slots:
	void configChanged( const QString& );
private:
	Private* d;
};

#endif
